## aiofiles 0.8.0

=== Makefile ===
.PHONY: test

test:
	poetry run pytest -x --ff tests

## aiofiles 0.3.2

=== debian/changelog ===
aiofiles (0.3.2-3) unstable; urgency=medium

  * Add Vcs header lines to control.

 -- David Steele <steele@debian.org>  Sun, 24 Dec 2017 15:32:02 -0500

aiofiles (0.3.2-2) unstable; urgency=medium

  * Add a python dependency.
  * Autopkgtest.

 -- David Steele <steele@debian.org>  Sat, 18 Nov 2017 21:50:35 -0500

aiofiles (0.3.2-1) unstable; urgency=low

  * Initial release. Closes: #880030

 -- David Steele <steele@debian.org>  Sat, 28 Oct 2017 10:06:32 -0400

=== debian/control ===
Source: aiofiles
Section: python
Priority: optional
Maintainer: David Steele <steele@debian.org>
Build-Depends: debhelper (>=10), dh-python, python3-all, python3-setuptools
Standards-Version: 4.1.2
Homepage: https://github.com/Tinche/aiofiles
Vcs-Browser: https://github.com/davesteele/aiofiles/tree/debian
Vcs-Git: https://github.com/davesteele/aiofiles.git -b debian
X-Python3-Version: >= 3.2

Package: python3-aiofiles
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}, ${shlibs:Depends}, ${python3:Depends}
Description: support for Python asyncio file operations
 This module includes support for asynchronous file
 operations using the Python asyncio module.

=== debian/rules ===
#!/usr/bin/make -f

#export DH_VERBOSE = 1
export PYBUILD_INSTALL_ARGS=--install-lib=/usr/lib/python3/dist-packages
# pytest-asyncio is not packaged yet
export PYBUILD_DISABLE=test

PKD = $(word 1,$(abspath $(dir $(MAKEFILE_LIST))))
PKG = $(shell dpkg-parsechangelog -l$(PKD)/changelog --show-field=Source)
VER ?= $(shell (dpkg-parsechangelog -l$(PKD)/changelog | grep Version | sed 's/Version..//' | sed 's/-.\+//'))


%:
	dh $@ --with python3 --buildsystem=pybuild

override_dh_clean:
	dh_clean
	rm -rf aiofiles.egg-info

override_dh_install:
	dh_install
	rm -rf debian/python3-aiofiles/usr/lib/python3/dist-packages/aiofiles/__pycache__
	rm -rf debian/pythoni3-aiofiles/usr/lib/python3/dist-packages/aiofiles/threadpool/__pycache__

get-orig-source:  $(info I: $(PKG)_$(VER))
	@echo "# Downloading..."
	uscan --noconf --verbose --rename --destdir=$(CURDIR) --check-dirname-level=0 --force-download --download-version $(VER) $(PKD)

=== debian/tests/control ===
Tests: runtest.py

## aiofiles 0.4.0

=== debian/changelog ===
aiofiles (0.4.0-2) unstable; urgency=medium

  * Add unittests to build/ci.

 -- David Steele <steele@debian.org>  Thu, 13 Sep 2018 21:46:39 -0400

aiofiles (0.4.0-1) unstable; urgency=medium

  * New upstream version.

 -- David Steele <steele@debian.org>  Mon, 10 Sep 2018 18:40:35 -0400

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_INSTALL_ARGS=--install-lib=/usr/lib/python3/dist-packages
export PYBUILD_TEST_PYTEST=1
export PYBUILD_BEFORE_BUILD=mkdir -p {build_dir}/tests/; cp -r tests/* {build_dir}/tests/

%:
	dh $@ --with python3 --buildsystem=pybuild

=== debian/tests/control ===
Tests: runtest.py

Tests: unittests.py
Depends: @, @builddeps@

## aiofiles 0.5.0

=== debian/changelog ===
aiofiles (0.5.0-1) unstable; urgency=medium

  [ David Steele ]
  * New upstream version.

  [ Debian Janitor ]
  * Bump debhelper from old 10 to 12.
  * Set debhelper-compat version in Build-Depends.
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.
  * Update standards version to 4.5.0, no changes needed.

 -- David Steele <steele@debian.org>  Sat, 30 May 2020 12:44:04 -0400

aiofiles (0.4.0-3) unstable; urgency=medium

  * Fix autopkgtest.

 -- David Steele <steele@debian.org>  Wed, 08 Jan 2020 21:46:46 -0500

## aiofiles 0.6.0

=== debian/changelog ===
aiofiles (0.6.0-2) unstable; urgency=medium

  * Fix autopkg tests to run across Python versions.

 -- David Steele <steele@debian.org>  Tue, 15 Dec 2020 08:48:00 -0500

aiofiles (0.6.0-1) unstable; urgency=medium

  * New upstream version.

 -- David Steele <steele@debian.org>  Fri, 30 Oct 2020 21:26:31 -0400

=== debian/control ===
--- 
+++ 
@@ -2,12 +2,18 @@
 Section: python
 Priority: optional
 Maintainer: David Steele <steele@debian.org>
-Build-Depends: debhelper (>=10), dh-python, python3-all, python3-setuptools
-Standards-Version: 4.1.2
+Build-Depends:
+    debhelper-compat (= 12),
+    dh-python,
+    python3-all,
+    python3-setuptools,
+    python3-pytest,
+    python3-pytest-asyncio,
+    python3-pytest-runner,
+Standards-Version: 4.5.0
 Homepage: https://github.com/Tinche/aiofiles
 Vcs-Browser: https://github.com/davesteele/aiofiles/tree/debian
 Vcs-Git: https://github.com/davesteele/aiofiles.git -b debian
-X-Python3-Version: >= 3.2
 
 Package: python3-aiofiles
 Architecture: all

## aiofiles 0.8.0

=== debian/changelog ===
aiofiles (0.8.0-2ubuntu1) jammy; urgency=medium

  * d/p/001-update-get-event-loop.patch: For python3.10 update calls to
    get_event_loop.

 -- Brian Murray <brian@ubuntu.com>  Tue, 01 Feb 2022 14:16:51 -0800

aiofiles (0.8.0-2) unstable; urgency=medium

  * Remove unreliable unit test.

 -- David Steele <steele@debian.org>  Wed, 26 Jan 2022 16:08:31 -0500

aiofiles (0.8.0-1) unstable; urgency=medium

  * New upstream version.
  * Builds using poetry (Closes: #995079)

 -- David Steele <steele@debian.org>  Sun, 23 Jan 2022 20:52:59 -0500

=== debian/control ===
--- 
+++ 
@@ -1,16 +1,18 @@
 Source: aiofiles
 Section: python
 Priority: optional
-Maintainer: David Steele <steele@debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: David Steele <steele@debian.org>
 Build-Depends:
     debhelper-compat (= 12),
     dh-python,
+    pybuild-plugin-pyproject,
     python3-all,
-    python3-setuptools,
+    python3-toml,
+    python3-poetry-core,
     python3-pytest,
     python3-pytest-asyncio,
-    python3-pytest-runner,
-Standards-Version: 4.5.0
+Standards-Version: 4.5.1
 Homepage: https://github.com/Tinche/aiofiles
 Vcs-Browser: https://github.com/davesteele/aiofiles/tree/debian
 Vcs-Git: https://github.com/davesteele/aiofiles.git -b debian

=== debian/watch ===
version=3

opts=filenamemangle=s/.+\/v?(\d\S+)\.tar\.gz/aiofiles-$1\.tar\.gz/ \
  https://github.com/Tinche/aiofiles/tags .*/v?(\d\S+)\.tar\.gz

## aiofiles 22.1.0

=== debian/changelog ===
aiofiles (22.1.0-1) unstable; urgency=medium

  * New upstream version.

 -- David Steele <steele@debian.org>  Sun, 30 Oct 2022 15:23:16 -0400

aiofiles (0.8.0-3) unstable; urgency=medium

  * Fix deprecation warnings (Closes: #1009090).

 -- David Steele <steele@debian.org>  Fri, 08 Apr 2022 10:59:54 -0400

## aiofiles 23.1.0

=== debian/changelog ===
aiofiles (23.1.0-1) unstable; urgency=medium

  * New upstream version.

 -- David Steele <steele@debian.org>  Wed, 08 Feb 2023 23:11:16 -0500

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: aiofiles
 Section: python
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: David Steele <steele@debian.org>
+Maintainer: David Steele <steele@debian.org>
 Build-Depends:
     debhelper-compat (= 12),
     dh-python,

## aiofiles 23.2.1

=== Makefile ===
.PHONY: test lint

test:
	pdm run pytest -x --ff tests

lint:
	pdm run flake8 src tests && pdm run black --check src tests

=== debian/changelog ===
aiofiles (23.2.1-2) unstable; urgency=medium

  * Fix README autopkgtest

 -- David Steele <steele@debian.org>  Mon, 21 Aug 2023 18:43:51 -0400

aiofiles (23.2.1-1) unstable; urgency=medium

  * New upstream version.

 -- David Steele <steele@debian.org>  Sun, 20 Aug 2023 23:45:35 -0400

## aiofiles 24.1.0

=== debian/changelog ===
aiofiles (24.1.0-2) unstable; urgency=medium

  * Fix pytest asyncio_default_fixture_loop_scope warning.

 -- David Steele <steele@debian.org>  Sun, 12 Jan 2025 10:56:17 -0500

aiofiles (24.1.0-1) unstable; urgency=medium

  * New upstream version

 -- David Steele <steele@debian.org>  Thu, 04 Jul 2024 14:34:03 -0400

=== debian/control ===
--- 
+++ 
@@ -11,6 +11,7 @@
     python3-poetry-core,
     python3-pytest,
     python3-pytest-asyncio,
+    python3-hatchling,
 Standards-Version: 4.5.1
 Homepage: https://github.com/Tinche/aiofiles
 Vcs-Browser: https://github.com/davesteele/aiofiles/tree/debian

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME=aiofiles

%:
	dh $@ --with python3 --buildsystem=pybuild

## aiofiles 25.1.0

=== debian/changelog ===
aiofiles (25.1.0-1) unstable; urgency=medium

  * New upstream version.

 -- David Steele <steele@debian.org>  Sun, 09 Nov 2025 20:11:22 -0500

=== debian/control ===
--- 
+++ 
@@ -12,6 +12,7 @@
     python3-pytest,
     python3-pytest-asyncio,
     python3-hatchling,
+    python3-hatch-vcs,
 Standards-Version: 4.5.1
 Homepage: https://github.com/Tinche/aiofiles
 Vcs-Browser: https://github.com/davesteele/aiofiles/tree/debian

=== debian/tests/control ===
Tests: runtest.py

Tests: unittests.py
Depends: @, @builddeps@, tox

=== debian/watch ===
version=4

opts=filenamemangle=s/.+\/v?(\d\S+)\.tar\.gz/aiofiles-$1\.tar\.gz/ \
  https://github.com/Tinche/aiofiles/tags .*/v?(\d\S+)\.tar\.gz
